@echo off

REM Internal image file
set INT_IMG=https_client_iap_single_bank_demo_image_int.img
REM Internal image flash load address
set INT_IMG_LOAD_ADDR=0x08010000

if exist %INT_IMG%.bin (
   REM Delete previous internal image binary file
   del %INT_IMG%.bin
)   

REM Copy internal image into an equivalent binary file (ST-LINK_CLI utility support .bin file)
copy %INT_IMG% %INT_IMG%.bin

REM Load internal image binary file in to internal flash
echo Loading internal imahge in to internal flash at %INT_IMG_LOAD_ADDR%...
ST-LINK_CLI.exe -c ID=0 SWD -Halt -Rst -P %INT_IMG%.bin %INT_IMG_LOAD_ADDR%

pause
